Flush the output buffer, return it as a string and turn off output buffering

- « ob_get_contents

- ob_get_length »

- PHP Manual
- Output Control Functions
- Flush the output buffer, return it as a string and turn off output buffering

# ob_get_flush

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

ob_get_flush — Flush the output buffer, return it as a string and turn off output buffering

### Description

ob_get_flush(): string|false

ob_get_flush() flushes the output buffer, return it as a string and turns off output buffering.

The output buffer must be started by ob_start() with PHP_OUTPUT_HANDLER_FLUSHABLE flag. Otherwise ob_get_flush() will not work.

> Note: This function is similar to ob_end_flush(), except that this function also returns the buffer as a string.

### Parameters

This function has no parameters.

### Return Values

Returns the output buffer or `false` if no buffering is active.

### Examples

Example #1 ob_get_flush() example

    <?php//using output_buffering=Onprint_r(ob_list_handlers());//save buffer in a file$buffer = ob_get_flush();file_put_contents('buffer.txt', $buffer);print_r(ob_list_handlers());?>

The above example will output:

    Array
    (
        [0] => default output handler
    )
    Array
    (
    )

### See Also

- ob_end_clean() - Clean (erase) the output buffer and turn off output buffering
- ob_end_flush() - Flush (send) the output buffer and turn off output buffering
- ob_list_handlers() - List all output handlers in use